package com.engine.organization.entity.chart.params;

import com.engine.organization.enums.OperateTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2024/4/11 4:51 PM
 * @Description: 快速调整界面发送默认工作流提醒
 * @Version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class QuickChangeMessageParam {

    private String workflowId;

    private String mainTableName;

    private OperateTypeEnum operateType;

    private String type;

    private String subCompanyIdFrom;

    private String subCompanyIdTo;

    private String departmentIdFrom;

    private String departmentIdTo;

    private String mergeName;

    private String content;

    private boolean canceled;

    /**
     * 转移类型 1 部门到部门 2 部门到分部 3分部到分部
     */
    private Integer tranfeserType;
}
