package com.engine.organization.web;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.chart.params.QuickChangeMessageParam;
import com.engine.organization.service.RemindMessageService;
import com.engine.organization.service.RemindMessageServiceImpl;
import com.engine.organization.util.response.ReturnResult;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;

/**
 * @Author liang.cheng
 * @Date 2024/4/11 2:20 PM
 * @Description: 触发消息提醒 工作流提醒
 * @Version 1.0
 */
public class RemindMessageController {

    public RemindMessageService getRemindMessageService(User user) {
        return ServiceUtil.getService(RemindMessageServiceImpl.class,user);
    }


    @POST
    @Path("/quickly/workflow/message")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult remindWorkflow(@Context HttpServletRequest request, @Context HttpServletResponse response, @RequestBody QuickChangeMessageParam param) {
        try {
            User user = HrmUserVarify.getUser(request, response);
            return ReturnResult.successed(getRemindMessageService(user).remindWorkflow(param));
        } catch (Exception e) {
            return ReturnResult.exceptionHandle(e);
        }
    }

}
